Installing on Windows XP SP3

Advertisement

Nicholas
Guest

Installing on Windows XP SP3

I am working my way through Georgia Weidman's Penetration Testing: A Hands-On Introduction to Hacking, and on page 46 it says to install the latest version of WinSCP on a virtual machine running Windows XP SP3.

I've tried these versions: 6.1.2 | 6.1.1 | 6.1 | 5.21.8 | 5.21.7 | 5.21.6 | 5.21.5 | 5.21.3 | 5.21.2 | 5.21.1 | 5.21

all from: https://sourceforge.net/projects/winscp/files/WinSCP/

all of which got me the same error:
C:File_location\WinSCP-Version Setup.exe is not a valid Win32 application.
Was compatibility dropped at a certain version?
Which versions were available and well supported in 2013~2014?
^ the book was published in 2014

winscp error.PNG

Reply with quote

Advertisement

soggi
Joined:
Posts:
2
Location:
soggi.org

last version of WinSCP for WinXP

The last installer version for Windows XP is WinSCP 5.15.9, for Windows Vista it's WinSCP 5.17.5. So you have to use the portable version (as @martin said) – the last working version is WinSCP 6.1.2 (6.3 and 6.3.1 don't work!).

greetings
soggi

Reply with quote

Advertisement

You can post new topics in this forum